function OnSceneLoad(screen)
    LoadData(screen)
    DefaultOnSceneLoad('data/Scenes/06_Laundry_Shelves_HO.lua', 'hidden_object', 'data/Scenes/06_Laundry_Main.lua')
    
    AddTask(CreateTask('BUTTON',          '',                 'Layer_button'));
    AddTask(CreateTask('SPOOL_OF_THREAD', 'SPOOLS_OF_THREAD', 'Clew1',     'Clew2',     'Clew3', 'Clew4'));
    AddTask(CreateTask('CROSS',           'CROSSES',          'Cross1',    'Cross2',    'Cross3'));
    AddTask(CreateTask('SCISSORS',        'SCISSORS',         'Scissors1', 'Scissors2', 'Scissors3'));
    
    AddRandomTasks( CreateTask('BELL',          '', 'Bell'),
                    CreateTask('BUCKET',        '', 'Bucket'),
                    CreateTask('CLOCK',         '', 'Clock'),
                    CreateTask('CLOTHESPIN',    '', 'Clothespin'),
                    CreateTask('FAN',           '', 'Fan'),
                    CreateTask('HANDBAG',       '', 'Handbag'),
                    CreateTask('IRON',          '', 'Iron'),
                    CreateTask('KEY',           '', 'Key'),
                    --CreateTask('NAPKIN',        '', 'Napkin'),        -- EAP-686
                    CreateTask('PLUNGER',       '', 'Plunger'),
                    CreateTask('RING',          '', 'Ring'),
                    CreateTask('SCALES',        '', 'Scales'),
                    CreateTask('SOAP',          '', 'Soap'),
                    CreateTask('SOCK',          'SOCKS', 'Sock1', 'Sock2', 'Sock3'),
                    CreateTask('VALVE',         '', 'Valve'),
                    CreateTask('WASHING_BOARD', '', 'WashingBoard'),
                    CreateTask('CANDLESTICK',   '', 'CandleStick'),
                    CreateTask('COFFEEMILL',    '', 'CoffeeMill'),
                    CreateTask('CRAB',          '', 'Crab'),
                    CreateTask('CUP',           '', 'Cup'),
                    CreateTask('GALOSH',        '', 'Galosh'),
                    CreateTask('LADLE',         '', 'Ladle'),
                    CreateTask('PYRAMIDION',    '', 'Pyramidion'),
                    CreateTask('RABBIT',        '', 'Rabbit'),
                    CreateTask('ROOSTER',       '', 'Rooster'),
                    CreateTask('OPENER',        '', 'Opener'),
                    CreateTask('SHAVINGBRUSH',  '', 'ShavingBrush'));
    
    LinkScene(  'area_lock',
                'CursorGlass',
                'data/Scenes/Minigames/06_owl_lock.lua',
                false);
    
    if not HasGameState('MiniGameCompleted', '06_owl_lock')
    then
        play_field:GetObject('Layer_door_open'):SetOpacity(0);
        play_field:GetObject('Layer_button'   ):SetOpacity(0);
        
        if HasGameState('MASK_OPEN', 'true') then
            play_field:GetObject('Layer_owl_closed'):SetOpacity(0);
        else
            play_field:GetObject('Layer_owl_opened'):SetOpacity(0);
        end
    else
        if not HasGameState('ActionCompleted', game_state.scene_path..'(door_opened)') then
            AddGameState('ActionCompleted', game_state.scene_path..'(door_opened)')
            
            play_field:GetObject('Layer_door_open'  ):SetOpacity(0);
            play_field:GetObject('Layer_button'     ):SetOpacity(0);
            play_field:GetObject('Layer_owl_opened' ):SetOpacity(0);
            
            TimerDoString('OpenDoorWithButton()', ZOOM_ZONE_APPEARING_TIME, play_field:GetTimer());
        else
            play_field:GetObject('Layer_owl_opened'):SetOpacity(0);
            play_field:GetObject('Layer_owl_closed'):SetOpacity(0);
        end
    end
    
    RegisterToolFindInfo('06_button');
end

function OpenDoorWithButton()
    play_field:GetObject('Layer_door_open'  ):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
    play_field:GetObject('Layer_button'     ):ChangeOpacity(0, 1, OPEN_DOOR_TIME);
    play_field:GetObject('Layer_owl_closed' ):ChangeOpacity(1, 0, OPEN_DOOR_TIME);
    
    PlaySound('06_OpenShelf')
end

function OnSceneFree(screen)
    DefaultOnSceneFree()
    FreeData(screen)
end

function OnUpdate(dt)
    DefaultOnUpdate(dt)
end

function OnAllItemsFound()
    DefaultOnAllItemsFound()
end

function OnLose()
    DefaultOnLose()
end

function OnExit()
    DefaultOnExit()
end

function OnClose()
    DefaultOnClose()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
    local is_wrong_click = not DefaultOnObjectMouseDown(object)
    local obj_name = object:GetName()
    local pf = play_field

    DefaultOnObjectMouseDownProcessed(is_wrong_click);
end

function OnObjectMouseUp(object)
    DefaultOnObjectMouseUp(object)
end

function OnObjectFound(object)
    DefaultOnObjectFound(object)
end

function OnToolFound(tool)
    DefaultOnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
    DefaultOnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
end

function OnMouseMove(previous_pos, current_pos)
    DefaultOnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
    DefaultOnSetTool(tool)
end

function LevelLoaded(level)
end

function OnSceneDestroy(playfield)
    DefaultOnSceneDestroy(playfield)
end

--------------------------------------------------------------------------------
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/background.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('background',anim,512,384,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Bell.png',0,0,38,36,1,0)
	anim:SetHotSpot(19,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bell',anim,390,486,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Bucket.png',0,0,48,57,1,0)
	anim:SetHotSpot(24,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Bucket',anim,219,427,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clew1.png',0,0,48,28,1,0)
	anim:SetHotSpot(24,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew1',anim,486,323,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clew2.png',0,0,35,39,1,0)
	anim:SetHotSpot(17,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew2',anim,457,605,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clew3.png',0,0,21,34,1,0)
	anim:SetHotSpot(10,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew3',anim,172,517,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clew4.png',0,0,25,26,1,0)
	anim:SetHotSpot(12,13)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clew4',anim,358,410,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clock.png',0,0,59,64,1,0)
	anim:SetHotSpot(29,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clock',anim,610,254,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Clothespin.png',0,0,40,21,1,0)
	anim:SetHotSpot(20,10)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Clothespin',anim,753,568,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Cross1.png',0,0,19,28,1,0)
	anim:SetHotSpot(9,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross1',anim,290,205,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Cross2.png',0,0,63,44,1,0)
	anim:SetHotSpot(31,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross2',anim,132,627,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Cross3.png',0,0,30,40,1,0)
	anim:SetHotSpot(15,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cross3',anim,434,49,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Fan.png',0,0,100,70,1,0)
	anim:SetHotSpot(50,35)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Fan',anim,643,118,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Handbag.png',0,0,89,42,1,0)
	anim:SetHotSpot(44,21)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Handbag',anim,463,264,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Iron.png',0,0,55,79,1,0)
	anim:SetHotSpot(27,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Iron',anim,497,584,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Key.png',0,0,23,61,1,0)
	anim:SetHotSpot(11,30)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Key',anim,499,254,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Napkin.png',0,0,63,35,1,0)
	anim:SetHotSpot(31,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Napkin',anim,692,550,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Plunger.png',0,0,53,124,1,0)
	anim:SetHotSpot(26,62)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Plunger',anim,609,613,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Ring.png',0,0,27,22,1,0)
	anim:SetHotSpot(13,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ring',anim,670,599,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Scales.png',0,0,45,57,1,0)
	anim:SetHotSpot(22,28)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scales',anim,257,524,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Scissors1.png',0,0,71,40,1,0)
	anim:SetHotSpot(35,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors1',anim,369,527,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Scissors2.png',0,0,68,44,1,0)
	anim:SetHotSpot(34,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors2',anim,691,613,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Scissors3.png',0,0,66,50,1,0)
	anim:SetHotSpot(33,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Scissors3',anim,740,194,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Shoe.png',0,0,33,50,1,0)
	anim:SetHotSpot(16,25)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Shoe',anim,164,416,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Soap.png',0,0,50,30,1,0)
	anim:SetHotSpot(25,15)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Soap',anim,508,507,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Valve.png',0,0,47,53,1,0)
	anim:SetHotSpot(23,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Valve',anim,744,617,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/WashingBoard.png',0,0,86,139,1,0)
	anim:SetHotSpot(43,69)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('WashingBoard',anim,746,356,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_clock.png',0,0,37,87,1,0)
	anim:SetHotSpot(18,43)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_clock',anim,639,244,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_fan.png',0,0,129,92,1,0)
	anim:SetHotSpot(64,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_fan',anim,647,127,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_handbag.png',0,0,30,22,1,0)
	anim:SetHotSpot(15,11)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_handbag',anim,482,278,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_iron.png',0,0,63,45,1,0)
	anim:SetHotSpot(31,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_iron',anim,491,605,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_plunger.png',0,0,55,144,1,0)
	anim:SetHotSpot(27,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_plunger',anim,617,617,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_scissors3.png',0,0,61,44,1,0)
	anim:SetHotSpot(30,22)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_scissors3',anim,732,211,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_valve.png',0,0,64,41,1,0)
	anim:SetHotSpot(32,20)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_valve',anim,735,626,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_washingBoard.png',0,0,87,145,1,0)
	anim:SetHotSpot(43,72)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_washingBoard',anim,743,357,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_wooden bucket.png',0,0,37,68,1,0)
	anim:SetHotSpot(18,34)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_wooden bucket',anim,244,430,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_door_open.png',0,0,252,474,1,0)
	anim:SetHotSpot(126,237)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_door_open',anim,893,368,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/area.png',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('area_lock',anim,857,191,104,0,15,10)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_button.png',0,0,45,18,1,0)
	anim:SetHotSpot(22,9)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_button',anim,865,470,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_owl_opened.png',0,0,94,104,1,0)
	anim:SetHotSpot(47,52)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_owl_opened',anim,854,197,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Layers/Layer_owl_closed.png',0,0,87,63,1,0)
	anim:SetHotSpot(43,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Layer_owl_closed',anim,857,176,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/CandleStick.png',0,0,32,63,1,0)
	anim:SetHotSpot(16,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CandleStick',anim,124,496,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/CoffeeMill.png',0,0,80,73,1,0)
	anim:SetHotSpot(40,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('CoffeeMill',anim,618,383,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Crab.png',0,0,65,49,1,0)
	anim:SetHotSpot(32,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Crab',anim,738,479,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Cup.png',0,0,53,46,1,0)
	anim:SetHotSpot(26,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Cup',anim,492,637,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Galosh.png',0,0,43,64,1,0)
	anim:SetHotSpot(21,32)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Galosh',anim,212,341,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Ladle.png',0,0,45,93,1,0)
	anim:SetHotSpot(22,46)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ladle',anim,169,221,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Pyramidion.png',0,0,35,49,1,0)
	anim:SetHotSpot(17,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Pyramidion',anim,234,539,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Rabbit.png',0,0,41,47,1,0)
	anim:SetHotSpot(20,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rabbit',anim,76,349,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Rooster.png',0,0,40,49,1,0)
	anim:SetHotSpot(20,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Rooster',anim,255,348,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/ShavingBrush.png',0,0,52,37,1,0)
	anim:SetHotSpot(26,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('ShavingBrush',anim,626,540,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Sock1.png',0,0,50,52,1,0)
	anim:SetHotSpot(25,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sock1',anim,350,226,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Sock2.png',0,0,37,62,1,0)
	anim:SetHotSpot(18,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sock2',anim,376,355,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Sock3.png',0,0,51,35,1,0)
	anim:SetHotSpot(25,17)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sock3',anim,145,305,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/06_Laundry/Zone_HO_shelves/Items/Opener.png',0,0,97,47,1,0)
	anim:SetHotSpot(48,23)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Opener',anim,526,148,101,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
